| D++ (DPP) C++ Discord API Bot Library

Search
Loading...
Searching...
No Matches
dpp::thread_pool_task_comparator Struct Reference

Compares two thread pool tasks by priority. More...

`#include <thread_pool.h>`

## Public Member Functions

bool | operator() (const thread_pool_task &a, const thread_pool_task &b) const
| Compare two tasks.

## Detailed Description

Compares two thread pool tasks by priority.

## Member Function Documentation

## ◆ operator()()

bool dpp::thread_pool_task_comparator::operator() | ( | const thread_pool_task & | a,
|  | const thread_pool_task & | b ) const

inline

Compare two tasks.

Parameters

  a | first task
  b | second task

Returns
  true if a > b

D++ Library version 9.0.13 D++ Library version 9.0.12 D++ Library version 9.0.11 D++ Library version 9.0.10 D++ Library version 9.0.9 D++ Library version 9.0.8 D++ Library version 9.0.7 D++ Library version 9.0.6 D++ Library version 9.0.5 D++ Library version 9.0.4 D++ Library version 9.0.3 D++ Library version 9.0.2 D++ Library version 9.0.1 D++ Library version 9.0.0 D++ Library version 1.0.2 D++ Library version 1.0.1 D++ Library version 1.0.0